From 83f0e05b3cefa4b56c426fbb99ef59c4e73704a0 Mon Sep 17 00:00:00 2001
From: Vicky Jain <vicky@convergenceservices.in>
Date: Wed, 14 Oct 2015 15:40:07 +0530
Subject: [PATCH 1/2] Create uKnowva.png

---
 src/icons/uKnowva.png | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 src/icons/uKnowva.png

diff --git a/src/icons/uKnowva.png b/src/icons/uKnowva.png
new file mode 100644
index 000000000..bb42d9420
--- /dev/null
+++ b/src/icons/uKnowva.png
@@ -0,0 +1,16 @@
+‰PNG
+
+   
+IHDR           szzô   tEXtSoftware Adobe ImageReadyqÉe<  ×IDATxÚ¤WklW>÷Þyïz×^¯Ç±ãØÎÃ&MLLJIUŠ¨ú Mª´´*ýÁC †‡
+HHð§?@H€*$•€@J¤Ú*‘’¶Ðh¢F%u€˜PüˆMl×¯]ïz½¯Ù™¹s9ww]ì}X‰ëhw<wîùÎwÎùÎ]"„€Õkú½au&5ØO¼ð˜ænË´4uŸüoÍê¥û‹@E¿‘¢7Ì‰µc œ¨n|0å}?ÍÇ«É|r®óÉãv÷gžíÙÙñþ>ÊÚM5rC¤Ÿßp_~&,èO)ô^â¨ö_ÿ"Õâ‡´åñ/+Ù‰{‰—Õd3“—R$rô…€åÕåtí»TÐ¤ô]nUî?yÃ=~ò?‰s÷Ï¸iß‚’‰cñ÷/éó§_SsÃÅÖÀÔ ,€‚@bÇ\ç³bðDšµouëŸûî8ÿÞé™äðDXEÖZUVÐ9ËN<`Íüü¼žyû1¢û L„Æ$µh Ö”Ðæm  ‚P[ÔC/mÕür\|ëÌRjº‹RÜlÍßúÈuPÒ}(8ó£S”Ä·ú¦B/;Ö¥sLQ M·ÝÐTšÝ  Y”ÜwqÓ<lgŸýŽe†c#¹žÈ¬¸:!¥çÒ\GiGëÄÈ¯ìÎýà$(yK˜˜
+Š«V÷ &6e]}ûhÀPó ðÁõÈ9	È{1	Äî„/>é„.Þ}-ñê—d=PÊ€`¡1‘æcå{†µô‹g)[	:
+”ÎUR2
+]>ü;¿çj8Òþ®a(¢.€‚“Ç³AÁQÑ‘€FràÍ-ê}§­_?½Ÿé¢øÉó—±…ÒHýî	ÍýÛ¾Î‹Ñ’2õP"kÁ&2wç[m-Wi±më ð‰‹V@ú²ÀÇTDý£Oë¡tãTîì×œ<Ö¦‚#.<S+·Õq+ÄFÐ9)R¥Ï€Ãñ£ZãÀŸš›qóú ö<Ðµ “¶ý³E¹çÅløŸŸOíÆ…(PiÐÜK2±Oèø­(G/ÊF’NÔŽ=øJßÎŽ!LŸD_ c(ÌB3Ö˜‰¦BTÜÿŒ^	Ìå.|Úsps5„AŽß‡(nZ.¼’c=h~Ôc¿Ñ¶màìæhhž{TªÚz €E°Ê¨Ð!$ú‡šÕ¿Ø¡óO,%ÒÍ”*X+£C)å¼L¿üN
+4äðóã‡.ä•žßÛÛ~Iú¥=Ýˆ (¨Õæ¡6ÑÈ?~\‰LoŸO~Tð„JÙâ6¡²åÈ‚,:ÀZüfèáÔ»ñÇ_¾ëö]§UÃp|"õ‚míµnÛ#£´ZŸðUÃÀkA+œKÑË‡3éþ¿7G
+a¬Z\ï#}H¯âÂt¬~üçGáõØc‘]·ïýjŸ—¸t›g¿í»§z¨(ëo±ð ÆªúÅÅÖ\î|'Ù0vw<¹»o{ûJ“ð¤³¸¶Ðƒ#ðêÄ' Þp4}h,èZ÷OâÖ™o¸ãGv5Ó‹® ðh
+td~k]›Ûô¦sßÎLƒöÂåïŸ}î¢{ÔöZ!îu@Îè€`÷0›@ú2°ãRšÑüÛTËÏžRçîµÂM	ß÷ëÅÑ.JVkÚÇânÖ6K»éŽ€öøWÆ­ð¾e¥¡«9D¤‚Ìž@ÇD)Žz7Xtÿ•ØäCž“i®/DN“(2Ëu,oø³º®CÚŸ¿­·qeúÄÇŽô4ä¦
+20^J³,ôÕb—±øØÞ3¾ÏÉç”JÖ'…9ØN8+T»¦	|F˜·¢ª²õR]Ù‚ˆò‘¯÷Ì?å—Ç4)QÒ)–ŠN„¡®Ç5±‘pÈ©
+£þ’Rh´óv å*°¿Ñ>õÈæ¥_¥¾½(¥ÀEÆƒÙ÷–7¹‰f˜œTt˜²þÕM´ *µöiŸp’VŠ '®ëª#Ò‘oîX<Ö+ö++­_È2S5Y)¼H&–˜|±³§uHÓôÂ†EÈñ¬à±e(M¼Z XieLÒMfÎn¨à=Êµ}lgöØ]³Ãg.ÆÈ£KI²5È—óÝîìÐ®Î–7Û;{FJZ³i½)^»
+‰PÁV&;±A¸GÁ’œû{gÇÞvíõD3ƒÙl6âù¦¢ZÌYàÊêafC`8Q‚‡R 6gÉËÍ<ÛœSCª#ø¾(çOJ’a=è¬pœÈÓ‚“´Ëu•ÑW+¡Ü*Õù¾æ±…ÀUð2ÁEc³ž—›Ò
+}—‘úrîËO4ZÃqmpòi~*Å¢´«‚õ±¸WèË{xÎÂ_·,Íæèhµ°¡p«—²þD”—&j¦€àHÎëcG™f«™©Ð¢"¢“†©9%èšèÿ Tžíi°’BÏ*èãŸbØÉ©ðd¤±å:S˜àG¬zÅvS €ã-W‹?¯*«ßÑGz¬Ï³uH^ß4´cOt¶¨pùPsêÞ Žà)U:P`^=¤«Ì^ÅToë;ÍÍ¡JkíhE™´[N–¯>\¦ñƒ'æ—ûÆÎ™#»;;ÿeº'O¸¤–§rõßz
+<ˆÃK3µ" ­ÐûGu6r¸·=íênŸ•_7H™–›ð_ Ä¡¡üþèF    IEND®B`‚

From 8cc844c71d915ce99c702aebb1534d20a6a8cbab Mon Sep 17 00:00:00 2001
From: Vicky Jain <vicky@convergenceservices.in>
Date: Wed, 14 Oct 2015 15:47:37 +0530
Subject: [PATCH 2/2] Update apps.json

Have added the required JSON object to check whether the target application is based on uknowva
---
 src/apps.json | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/src/apps.json b/src/apps.json
index 4b29569db..1ea78a112 100755
--- a/src/apps.json
+++ b/src/apps.json
@@ -7633,6 +7633,21 @@
 			},
 			"website": "ucore.io"
 		},
+		"uKnowva": {
+			"cats": [
+				1,2,18,50
+			],
+			"headers": {
+				"X-Content-Encoded-By": "uKnowva ([\\d.]+)\\;version:\\1"
+			},
+			"script": "/media/conv/js/jquery.js",
+			"html": "<a[^>]+>Powered by uKnowva</a>",
+			"implies": "PHP",
+			"meta": {
+				"generator": "uKnowva (?: ([\\d.]+))?\\;version:\\1"
+			},
+			"website": "uknowva.com"
+		},
 		"vBulletin": {
 			"cats": [
 				2
